@import url("./fonts.css");

html,
body {
    color: var(--black);
    font-family: "Outfit";
    font-size: 1rem;
}

mark {
    line-height: 1.4;
    background-color: var(--secondary);
    padding: 0.25rem;
    color: var(--white);
    border-radius: 2px;
}

.menu-item {
    list-style: none;
}

nav.main-navigation a {
    &:hover {
        color: var(--primary);
    }
}

.wrapper {
    width: 80%;
    max-width: 80rem;
    margin: 0 auto;
}

.special-container {
    position: relative;
    width: 100%;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    overflow-x: hidden;
}

.container-left {
    width: 90%;
    overflow: hidden;
    margin-left: 0;
    margin-right: auto;
    position: relative;
    left: calc((100vw - min(80rem, 80vw)) / 2);

    @media (min-width: 1706.25px) {
        left: 10vw;
    }
}

.home-banner,
.home-banner img {
    min-height: 400px;
    max-height: 600px;
}
@media screen and (min-width: 768px) {
    .home-banner,
    .home-banner img {
        min-height: 300px;
        max-height: 600px;
    }
}

.flash-select {
    color: #fff;
    outline-offset: 2px;
    outline: 1px solid var(--flash-select-color);
}
.flash-select.flash-select__primary {
    --flash-select-color: var(--primary);
    background-color: var(--primary);
}
.flash-select.flash-select__secondary {
    --flash-select-color: var(--secondary);
    background-color: var(--secondary);
}

/* Buttons */
.btn {
    text-align: center;
    padding: 0.375rem 1.25rem;
    text-transform: uppercase;
    border-radius: 20px;
    cursor: pointer;

    @media screen and (max-width: 768px) {
        padding: 0.375rem 3rem;
    }
}

.btn-blue {
    background-color: var(--secondary);
    color: var(--white);
    border: 1px solid transparent;
    transition: all 0.4s ease-in-out;
}

.btn-blue:hover {
    background-color: var(--white);
    color: var(--secondary);
    border: 1px solid var(--secondary);
    box-shadow: 0px 3px 6px #00000029;
}

.btn-blue-tr {
    background-color: var(--white);
    color: var(--secondary);
    border: 1px solid var(--secondary);
    transition: all 0.4s ease-in-out;
}

.btn-blue-tr:hover {
    background-color: var(--secondary);
    color: var(--white);
    border: 1px solid var(--secondary);
    box-shadow: 0px 3px 6px #00000029;
}

.btn-green {
    background-color: var(--primary);
    color: var(--white);
    border: 1px solid transparent;
    transition: all 0.4s ease-in-out;
}

.btn-green:hover {
    background-color: var(--white);
    color: var(--primary);
    border: 1px solid var(--primary);
    box-shadow: 0px 3px 6px #00000029;
}

.btn-green-tr {
    background-color: var(--white);
    color: var(--primary);
    border: 1px solid var(--primary);
    transition: all 0.4s ease-in-out;
}

.btn-green-tr:hover {
    background-color: var(--primary);
    color: var(--white);
    border: 1px solid var(--primary);
    box-shadow: 0px 3px 6px #00000029;
}

/* Header Nav Desk */

header li.menu-item {
    overflow: hidden;
}

header li.menu-item a {
    position: relative;
    z-index: 10;
}

header li.menu-item:hover,
header li.current-menu-item,
header li.current-menu-parent {
    overflow: visible;
    color: var(--primary);
}

header .menu-items ul.sub-menu {
    transform: translate(-2rem, -1rem);
    overflow-y: visible;
    background-color: var(--white);
    color: var(--black);
    position: absolute;
    transform-origin: top;
    width: max-content;
    opacity: 0;
    box-shadow: 0px 3px 6px #00000010;
    margin: 0;
    padding-top: 0.5rem;
    pointer-events: none;
}
header .menu-items li.menu-item:hover ul.sub-menu {
    transition: transform 0.2s ease-in-out, opacity 0.4s ease,
    display 0.4s ease-in-out;
    transform: translate(-2rem, 0);
    opacity: 1;
    pointer-events: auto;
}

header .menu-items li.menu-item ul.sub-menu li {
    font-weight: 400;
    opacity: 0;
    padding: 0.5rem 2rem;
}
header .menu-items li.menu-item:hover ul.sub-menu li {
    opacity: 1;
}

header .menu-items li.menu-item ul.sub-menu li:hover,
header .menu-items li.menu-item ul.sub-menu li.current-menu-item {
    color: var(--white);
    background-color: var(--primary);
}
/* Header Nav Mob */
header .menu-items-mob li.menu-item {
    margin-bottom: 0.625rem;
}

header .menu-items-mob li.menu-item ul.sub-menu li {
    font-weight: 400;
    margin-bottom: 0.5rem;
    margin-left: 0.625rem;
}

.burger-line {
    transition: all 0.4s ease;
}

#burger-menu.open .burger-line:nth-child(1), .tab-menu.open .burger-line:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
}

#burger-menu.open .burger-line:nth-child(2), .tab-menu.open .burger-line:nth-child(2) {
    opacity: 0;
}

#burger-menu.open .burger-line:nth-child(3), .tab-menu.open .burger-line:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

#nav-menu {
    transform: translateY(-10rem);
    opacity: 0;
    transition: transform 0.4s ease, opacity 0.4s ease;
}

#nav-menu:not(.hidden) {
    transform: translateY(0);
    opacity: 1;
}

/* Slider nav Nos grandes ambitions */
.slider-container {
    height: auto !important;
}

.slider-container img {
    height: revert-layer;
}
.slider-nav {
    top: -115% !important;
}
.slider-nav {
    right: 12.5% !important;
    left: unset !important;
}
.slider-nav.slider-nav-next {
    right: 10% !important;
}
.slider-nav::after {
    background-color: var(--secondary) !important;
    width: 2.5rem !important;
    height: 2rem !important;
}

/*  Breakpoint pour afficher le nombre de slide par taille de l'ecran */
.slider-item-show4 {
    --swiffy-slider-item-count: 4;
    @media (max-width: 1366px) {
        --swiffy-slider-item-count: 3 !important;
    }
    @media (max-width: 880px) {
        --swiffy-slider-item-count: 2 !important;
    }
    @media (max-width: 580px) {
        --swiffy-slider-item-count: 1 !important;
    }
}

/* Swipper verbatim */
.swiper-button-prev, .swiper-button-next {
    --swiper-navigation-sides-offset: -20px;
}

/* Pagination */
.pagination {
}
.pagination ul.page-numbers {
    width: 100%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.pagination ul.page-numbers li .page-numbers {
    padding: 0.65rem;
    background-color: var(--secondary);
    margin-right: 0.5rem;
    color: var(--white);
    transition: all 0.3s ease;
}

.pagination ul.page-numbers li .page-numbers.current {
    background-color: var(--primary);
}

.timeline {
    white-space: nowrap;
    overflow-x: auto;
    height: auto;
}

.timeline ol {
    font-size: 0;
    width: 100vw;
    padding: 200px 0;
    transition: all 1s;
}

.timeline ol li {
    position: relative;
    display: inline-block;
    list-style-type: none;
    width: 282px;
    height: 0.5rem;
    background: var(--secondary);
    margin-left: 1.875rem;
}

.timeline ol li:last-child {
    width: 280px;
}

.timeline ol li:not(:first-child) {
    margin-left: 1.75rem;
}

.timeline ol li::after {
    content: "";
    position: absolute;
    top: 50%;
    left: -1.875rem;
    bottom: 0;
    width: 1.875rem;
    height: 1.875rem;
    transform: translateY(-50%);
    border-radius: 50%;
    background: transparent;
    border: 0.5rem solid var(--secondary);
}

.timeline ol li div {
    position: absolute;
    left: -1.875rem;
    width: 290px;
    /* padding: 1.5rem 0; */
    font-size: 1rem;
    white-space: normal;
    color: black;
}

.timeline ol li div::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 0;
    height: 0;
    border-style: solid;
}

.timeline ol li:nth-child(odd) div {
    top: -2rem;
    transform: translateY(-100%);
}

.timeline ol li:nth-child(odd) div::before {
    top: 100%;
    border-width: 8px 8px 0 0;
    border-color: white transparent transparent transparent;
}

.timeline ol li:nth-child(even) div {
    top: calc(100% + 1rem);
}

.timeline ol li:nth-child(even) div::before {
    top: -2rem;
    border-width: 8px 0 0 8px;
    border-color: transparent transparent transparent white;
}

.timeline time {
    font-size: 2.125rem;
    color: var(--secondary);
    display: block;
    font-weight: bold;
    margin-bottom: 0.25rem;
}

.timeline::-webkit-scrollbar {
    height: 10px;
}

.timeline::-webkit-scrollbar-thumb {
    background: var(--secondary);
    border-radius: 5px;
}

.timeline::-webkit-scrollbar-track {
    opacity: 0.2;
    background: var(--white);
}

.offre img {
    max-height: 4rem;
}

img.attachment-post-card.size-post-card {
    width: 100%;
    max-height: 261px;
    object-fit: cover;
}

/* Calendrier HP */
.monthly-calendar {
    background: white;
    padding: 20px 28px;
    border-radius: 25px;
    h2 {
        text-transform: uppercase;
    }
    .calendar-grid th {
        font-weight: 500;
    }
    .calendar-grid th,
    .calendar-grid td {
        border: none;
        padding: 8px;
    }
    .calendar-grid td.today {
        background-color: var(--primary);
    }
}

/* CONTENU DE L'ADMIN */
.text-renderer {
    figure.image {
        margin: 0 auto;
    }

    figure.image img {
        margin: 0 auto;
    }

    figure.image img {
        display: block;
        width: auto;
    }

    figure.image.image-style-align-left {
        margin: 0;
        float: left;
    }

    figure.image.image-style-align-right {
        margin: 0;
        float: right;
    }
}
